# AWS API client for Amazon Glacier

**Warning: This is a generated library, some operations may not work.**

*About the service:*
Amazon S3 Glacier (Glacier) is a storage solution for "cold data."

Glacier is an extremely low-cost storage service that provides secure,
durable, and easy-to-use storage for data backup and archival. With Glacier,
customers can store their data cost effectively for months, years, or
decades. Glacier also enables customers to offload the administrative
burdens of operating and scaling storage to AWS, so they don't have to worry
about capacity planning, hardware provisioning, data replication, hardware
failure and recovery, or time-consuming hardware migrations.

Glacier is a great storage choice when low storage cost is paramount and
your data is rarely retrieved. If your application requires fast or frequent
access to your data, consider using Amazon S3. For more information, see <a
href="https://aws.amazon.com/s3/">Amazon Simple Storage Service (Amazon
S3)</a>.

You can store any kind of data in any format. There is no maximum limit on
the total amount of data you can store in Glacier.

If you are a first-time user of Glacier, we recommend that you begin by
reading the following sections in the <i>Amazon S3 Glacier Developer
Guide</i>:

<ul>
<li>
<a
href="https://docs.aws.amazon.com/amazonglacier/latest/dev/introduction.html">What
is Amazon S3 Glacier</a> - This section of the Developer Guide describes the
underlying data model, the operations it supports, and the AWS SDKs that you
can use to interact with the service.
</li>
<li>
<a
href="https://docs.aws.amazon.com/amazonglacier/latest/dev/amazon-glacier-getting-started.html">Getting
Started with Amazon S3 Glacier</a> - The Getting Started section walks you
through the process of creating a vault, uploading archives, creating jobs
to download archives, retrieving the job output, and deleting archives.
</li>
</ul>

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

